unmarkedFitList-class {unmarked} | R Documentation

## Class "unmarkedFitList"

### Description

Class to hold multiple fitted models from one of `unmarked`'s fitting functions

### Objects from the Class

Objects can be created by using the `fitList` function.

### Slots

`fits`:

  A `"list"` of models.

### Methods

coef

  `signature(object = "unmarkedFitList")`: Extract coefficients

SE

  `signature(object = "unmarkedFitList")`: Extract standard errors

modSel

  `signature(object = "unmarkedFitList")`: Model selection

predict

  `signature(object = "unmarkedFitList")`: Model-averaged prediction

### Note

Model-averaging regression coefficients is intentionally not implemented.

### See Also

`fitList`, `unmarkedFit`

### Examples

    showClass("unmarkedFitList")

    data(linetran)
    (dbreaksLine <- c(0, 5, 10, 15, 20))
    lengths <- linetran$Length * 1000

    ltUMF <- with(linetran, {
    	unmarkedFrameDS(y = cbind(dc1, dc2, dc3, dc4),
    	siteCovs = data.frame(Length, area, habitat), dist.breaks = dbreaksLine,
    	tlength = lengths, survey = "line", unitsIn = "m")
    	})

    fm1 <- distsamp(~ 1 ~1, ltUMF)
    fm2 <- distsamp(~ area ~1, ltUMF)
    fm3 <- distsamp( ~ 1 ~area, ltUMF)

    fl <- fitList(Null=fm1, A.=fm2, .A=fm3)
    fl

    coef(fl)
    SE(fl)

    ms <- modSel(fl, nullmod="Null")
    ms

[Package unmarked version 0.12-3 Index]